package com.company.sample.web.transientfoo;

import com.haulmont.cuba.core.global.Metadata;
import com.haulmont.cuba.gui.model.CollectionContainer;
import com.haulmont.cuba.gui.screen.*;
import com.company.sample.entity.TransientFoo;

import javax.inject.Inject;

@UiController("sample_TransientFoo.browse")
@UiDescriptor("transient-foo-browse.xml")
@LookupComponent("transientFoosTable")
public class TransientFooBrowse extends StandardLookup<TransientFoo> {

    @Inject
    private CollectionContainer<TransientFoo> transientFoosDc;
    @Inject
    private Metadata metadata;

    @Subscribe
    private void onBeforeShow(BeforeShowEvent event) {
        for (int i = 0; i < 5; i++) {
            TransientFoo foo = metadata.create(TransientFoo.class);
            foo.setName("foo-" + i);
            foo.setState(i);
            transientFoosDc.getMutableItems().add(foo);
        }
    }
}